REST APIFiatACH Debits

POSTDeprecated

Initiate an ACH deposit transaction from a linked bank account.

Body Params

object

  • amount string required
    The amount to deposit in USD cents (base units)

    at least 1 characters

  • checkboxAgreement boolean required
    Indicates user agreement to the ACH terms
  • bankId string required
    ID of the ACH bank account to debit from

    at least 1 characters

  • goAccountId string required
    ID of the destination account

    at least 1 characters

  • idempotencyKey string
    Optional idempotency key to ensure idempotent requests

Responses

200
OK

Response Body

object

  • txId string required
    The ID of the created transaction
400
Bad Request

Response Body

object

  • errorName string required
  • error string required
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
404
Not Found

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required